package com.tencent.mm.pluginsdk;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.jsapi.container.b;
import java.util.HashMap;

public final class c$b {
    public static final HashMap<Integer, Integer> val;

    static {
        AppMethodBeat.i(114654);
        HashMap hashMap = new HashMap();
        val = hashMap;
        hashMap.put(Integer.valueOf(22), Integer.valueOf(64));
        val.put(Integer.valueOf(9), Integer.valueOf(64));
        val.put(Integer.valueOf(3), Integer.valueOf(64));
        val.put(Integer.valueOf(23), Integer.valueOf(64));
        val.put(Integer.valueOf(25), Integer.valueOf(64));
        val.put(Integer.valueOf(13), Integer.valueOf(64));
        val.put(Integer.valueOf(29), Integer.valueOf(256));
        val.put(Integer.valueOf(34), Integer.valueOf(b.CTRL_INDEX));
        val.put(Integer.valueOf(6), Integer.valueOf(b.CTRL_INDEX));
        val.put(Integer.valueOf(35), Integer.valueOf(1024));
        val.put(Integer.valueOf(36), Integer.valueOf(4096));
        val.put(Integer.valueOf(37), Integer.valueOf(32768));
        val.put(Integer.valueOf(38), Integer.valueOf(32768));
        val.put(Integer.valueOf(42), Integer.valueOf(131072));
        val.put(Integer.valueOf(40), Integer.valueOf(65536));
        val.put(Integer.valueOf(41), Integer.valueOf(65536));
        val.put(Integer.valueOf(46), Integer.valueOf(262144));
        val.put(Integer.valueOf(48), Integer.valueOf(524288));
        val.put(Integer.valueOf(51), Integer.valueOf(1048576));
        val.put(Integer.valueOf(52), Integer.valueOf(2097152));
        AppMethodBeat.o(114654);
    }
}
